package alx.p24_napisy;

public class ParametryString {

	public static void main(String[] args) {
		String a = "Ala";
		
		System.out.println("a1 = " + a);
		m(a);
		System.out.println("a2 = " + a);

		// String is immutable
	}
	
	static void m(String c) {
		System.out.println("c1 = " + c);
		c += " ma kota";
		System.out.println("c2 = " + c);
		// tak naprawdę jest tworzony nowy obiekt String: c = new String("Ala" + " ma kota")
		// a oryginalny obiekt, na który wskazuje zmienna a, nie zmienia się
	}

}
